import React from "react";
import drawDirectedPiePiece from "./drawDirectedPiePiece";
export default function CircularPrimer(_ref) {
  var _ref$color = _ref.color,
    color = _ref$color === void 0 ? "orange" : _ref$color,
    radius = _ref.radius,
    annotationHeight = _ref.annotationHeight,
    totalAngle = _ref.totalAngle;
  return /*#__PURE__*/React.createElement("path", {
    className: "veOrf",
    strokeWidth: ".5",
    stroke: color,
    fill: color,
    d: drawDirectedPiePiece({
      radius: radius,
      annotationHeight: annotationHeight,
      totalAngle: totalAngle,
      arrowheadLength: 0.4,
      tailThickness: 0.4
    }).print()
  });
}