function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import Orf from "./Orf";
import StackedAnnotations from "./StackedAnnotations";
function getExtraInnerCompProps(annotationRange, props) {
  var row = props.row;
  var annotation = annotationRange.annotation,
    start = annotationRange.start,
    end = annotationRange.end;
  var frame = annotation.frame,
    _annotation$internalS = annotation.internalStartCodonIndices,
    internalStartCodonIndices = _annotation$internalS === void 0 ? [] : _annotation$internalS;
  var normalizedInternalStartCodonIndices = internalStartCodonIndices.filter(function (position) {
    if (position >= row.start && position >= start && position <= end && position <= row.end) {
      return true;
    } else return false;
  }).map(function (position) {
    return position - start;
  });
  return {
    normalizedInternalStartCodonIndices: normalizedInternalStartCodonIndices,
    frame: frame
  };
}
function Orfs(props) {
  return /*#__PURE__*/React.createElement(StackedAnnotations, _extends({}, props, {
    getExtraInnerCompProps: getExtraInnerCompProps,
    InnerComp: Orf
  }));
}
export default Orfs;