import React from "react";
import { SequenceName } from "./LinearView/SequenceName";
import classNames from "classnames";
export function SimpleOligoPreview(_ref) {
  var className = _ref.className,
    width = _ref.width,
    height = _ref.height,
    sequenceData = _ref.sequenceData,
    showTitle = _ref.showTitle;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      width: width,
      height: height,
      paddingLeft: 5,
      display: "flex",
      flexDirection: "column"
    },
    className: classNames("tg-simple-oligo-viewer", className)
  }, showTitle && /*#__PURE__*/React.createElement(SequenceName, {
    isProtein: sequenceData.isProtein,
    sequenceName: sequenceData.name || "",
    sequenceLength: sequenceData.sequence ? sequenceData.sequence.length : 0
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      height: "100%",
      overflow: "auto",
      wordBreak: "break-all"
    }
  }, sequenceData.sequence || ""));
}