import { DNAComplementMap } from "@teselagen/sequence-utils";
var dnaToColor = {
  a: "lightgreen",
  c: "#658fff",
  g: "yellow",
  t: "#EE6262"
};
export default dnaToColor;
export function getDnaColor(_char, isReverse) {
  return dnaToColor[isReverse ? DNAComplementMap[_char.toLowerCase()] : _char.toLowerCase()] || "lightgrey";
}