//optionally connect to the redux store
import { createStore, combineReducers, applyMiddleware, compose } from "redux";
import VectorEditor, { vectorEditorMiddleware } from "../redux";
import thunk from "redux-thunk";
import { reducer as form } from "redux-form";
var makeStore = function makeStore() {
  var composeEnhancer = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ && window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__({
    name: "createVectorEditor",
    latency: 1000,
    // serialize: {
    //   replacer: (key, value) => {
    //   }
    // },
    actionsDenylist: ["HOVEREDANNOTATIONUPDATE", "HOVEREDANNOTATIONCLEAR"]
  }) || compose;
  var store = createStore(combineReducers({
    form: form,
    VectorEditor: VectorEditor()
  }), undefined, composeEnhancer(applyMiddleware(thunk, vectorEditorMiddleware) //your store should be redux-thunk connected for the VectorEditor component to work
  ));

  return store;
};
export default makeStore;