function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
import React from "react";
import { map } from "lodash";
import { Button } from "@blueprintjs/core";
var ColorPicker = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(ColorPicker, _React$Component);
  function ColorPicker() {
    return _React$Component.apply(this, arguments) || this;
  }
  var _proto = ColorPicker.prototype;
  _proto.render = function render() {
    var onColorSelect = this.props.onColorSelect;
    return /*#__PURE__*/React.createElement("div", {
      style: {
        display: "flex",
        padding: 20,
        maxWidth: 300
      }
    }, ["red", "blue", "green", "yellow", "pink"].map(function (color) {
      var isSelected = color === "blue";
      return /*#__PURE__*/React.createElement("div", {
        onClick: function onClick() {
          onColorSelect(color);
        },
        key: color,
        style: _extends({
          margin: 10,
          height: 20,
          width: 20,
          padding: 3,
          background: color
        }, isSelected && {
          border: "1px solid black"
        })
      });
    }));
  };
  return ColorPicker;
}(React.Component);
export { ColorPicker as default };