import React from "react";
import { getFeatureToColorMap } from "@teselagen/sequence-utils";
export var typeField = {
  path: "type",
  type: "string",
  render: function render(name, _ref) {
    var color = _ref.color;
    var colorToUse = color || getFeatureToColorMap({
      includeHidden: true
    })[name];
    return /*#__PURE__*/React.createElement("div", {
      style: {
        display: "flex",
        alignItems: "center"
      }
    }, /*#__PURE__*/React.createElement("div", {
      style: {
        height: 20,
        width: 20,
        background: colorToUse,
        marginRight: 3
      }
    }), name);
  }
};