var _excluded = ["message", "tooltip"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from "react";
import { Icon, Tooltip } from "@blueprintjs/core";
import "./style.css";
function VeWarning(props) {
  var message = props.message,
    tooltip = props.tooltip,
    rest = _objectWithoutPropertiesLoose(props, _excluded);
  return /*#__PURE__*/React.createElement("div", _extends({
    className: "veWarningMessage"
  }, rest), /*#__PURE__*/React.createElement(Tooltip, {
    position: "bottom",
    intent: "warning",
    popoverClassName: "bp3-popover-content-sizing",
    content: tooltip
  }, /*#__PURE__*/React.createElement(Icon, {
    size: 20,
    intent: "warning",
    icon: "warning-sign"
  })), message);
}
export default VeWarning;