var _createReducer;
import { createReducer } from "redux-act";
import createAction from "./utils/createMetaAction";

// ------------------------------------
// Actions
// ------------------------------------
export var changeLabelSize = createAction("changeLabelSize");
var newVal = window.localStorage.getItem("labelSize");

// ------------------------------------
// Reducer
// ------------------------------------
export default createReducer((_createReducer = {}, _createReducer[changeLabelSize] = function (state, payload) {
  localStorage.setItem("labelSize", payload);
  return payload;
}, _createReducer), newVal ? parseInt(newVal) : 8 //  8 is 100% label size
);