var _createMergedDefaultS;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import createMergedDefaultStateReducer from "./utils/createMergedDefaultStateReducer";
import createAction from "./utils/createMetaAction";

// ------------------------------------
// Actions
// ------------------------------------
export var updatePrimerLengthsToHide = createAction("updatePrimerLengthsToHide");
export var togglePrimerLengthsToHide = createAction("togglePrimerLengthsToHide");

// ------------------------------------
// Reducer
// ------------------------------------
export default createMergedDefaultStateReducer((_createMergedDefaultS = {}, _createMergedDefaultS[updatePrimerLengthsToHide] = function (state, payload) {
  return _extends({}, state, payload);
}, _createMergedDefaultS[togglePrimerLengthsToHide] = function (state) {
  return _extends({}, state, {
    enabled: !state["enabled"]
  });
}, _createMergedDefaultS), {
  enabled: false,
  min: 0,
  max: 40
});