var _createReducer;
//./caretPosition.js
import { createReducer } from "redux-act";
import createAction from "./utils/createMetaAction";

// ------------------------------------
// Actions
// ------------------------------------
export var toggleViewVersionHistory = createAction("TOGGLE_VIEW_VERSION_HISTORY", function () {}); //NOTE!!:: second argument sanitizes actions so no payload is passed

// ------------------------------------
// Reducer
// ------------------------------------
export default createReducer((_createReducer = {}, _createReducer[toggleViewVersionHistory] = function (state) {
  return {
    viewVersionHistory: !state.viewVersionHistory
  };
}, _createReducer), {
  viewVersionHistory: false
});