import { createSelector } from "reselect";
import { filter } from "lodash";
import featuresSelector from "./featuresSelector";
function cdsFeaturesRawSelector(features) {
  return filter(features, function (_ref) {
    var type = _ref.type;
    return type && type.toUpperCase() === "CDS";
  });
}
export default createSelector(featuresSelector, cdsFeaturesRawSelector);