import cutsitesSelector from "./cutsitesSelector";
import getAdditionalEnzymesSelector from "./getAdditionalEnzymesSelector";
import translationsSelector from "./translationsSelector";
import sequenceLengthSelector from "./sequenceLengthSelector";
import sequenceDataSelector from "./sequenceDataSelector";
import sequenceSelector from "./sequenceSelector";
import circularSelector from "./circularSelector";
import orfsSelector from "./orfsSelector";
import selectedCutsitesSelector from "./selectedCutsitesSelector";
import filteredRestrictionEnzymesSelector from "./filteredRestrictionEnzymesSelector";
import filteredCutsitesSelector from "./filteredCutsitesSelector";
import searchLayersSelector from "./searchLayersSelector";
import annotationSearchSelector from "./annotationSearchSelector";
import restrictionEnzymesSelector from "./restrictionEnzymesSelector";
import filteredFeaturesSelector from "./filteredFeaturesSelector";
import filteredPrimersSelector from "./filteredPrimersSelector";
import cutsiteLabelColorSelector from "./cutsiteLabelColorSelector";
import filteredPartsSelector from "./filteredPartsSelector";
import isEnzymeFilterAndSelector from "./isEnzymeFilterAndSelector";
export default {
  translationsSelector: translationsSelector,
  getAdditionalEnzymesSelector: getAdditionalEnzymesSelector,
  cutsitesSelector: cutsitesSelector,
  sequenceDataSelector: sequenceDataSelector,
  sequenceLengthSelector: sequenceLengthSelector,
  selectedCutsitesSelector: selectedCutsitesSelector,
  orfsSelector: orfsSelector,
  circularSelector: circularSelector,
  annotationSearchSelector: annotationSearchSelector,
  searchLayersSelector: searchLayersSelector,
  filteredCutsitesSelector: filteredCutsitesSelector,
  filteredRestrictionEnzymesSelector: filteredRestrictionEnzymesSelector,
  filteredPrimersSelector: filteredPrimersSelector,
  filteredFeaturesSelector: filteredFeaturesSelector,
  filteredPartsSelector: filteredPartsSelector,
  isEnzymeFilterAndSelector: isEnzymeFilterAndSelector,
  restrictionEnzymesSelector: restrictionEnzymesSelector,
  sequenceSelector: sequenceSelector,
  cutsiteLabelColorSelector: cutsiteLabelColorSelector
};