"use strict";

exports.__esModule = true;
exports.coerceInitialValue = coerceInitialValue;
function coerceInitialValue(_ref) {
  var initialValue = _ref.initialValue,
    minCharWidth = _ref.minCharWidth;
  var scaleFactor = Math.pow(12 / minCharWidth, 1 / 10);
  var zoomLvl = Math.log(initialValue / minCharWidth) / Math.log(scaleFactor);
  return zoomLvl;
}