"use strict";

exports.__esModule = true;
exports.CircularZoomMinimap = CircularZoomMinimap;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function CircularZoomMinimap(_ref) {
  var percentOfCircle = _ref.percentOfCircle,
    rotationRadians = _ref.rotationRadians;
  var percent = Math.max(2, Math.min(45, percentOfCircle * 100 * 0.9));
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "circularViewMinimap",
    style: {
      transform: "scale(-1,1) rotate(" + (rotationRadians * 180 / Math.PI - percent * 1.8) + "deg)",
      "--p": percent
    }
  });
}