"use strict";

exports.__esModule = true;
exports.withRestrictionEnzymes = void 0;
var _withEditorProps = require("../withEditorProps");
var _restrictionEnzymesSelector = _interopRequireDefault(require("../selectors/restrictionEnzymesSelector"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var withRestrictionEnzymes = (0, _withEditorProps.connectToEditor)(function (editorState, ownProps) {
  var allRestrictionEnzymes = (0, _restrictionEnzymesSelector["default"])(editorState, ownProps.additionalEnzymes, ownProps.enzymeGroupsOverride);
  return {
    allRestrictionEnzymes: allRestrictionEnzymes
  };
});
exports.withRestrictionEnzymes = withRestrictionEnzymes;