"use strict";

exports.__esModule = true;
exports.SimpleOligoPreview = SimpleOligoPreview;
var _react = _interopRequireDefault(require("react"));
var _SequenceName = require("./LinearView/SequenceName");
var _classnames = _interopRequireDefault(require("classnames"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function SimpleOligoPreview(_ref) {
  var className = _ref.className,
    width = _ref.width,
    height = _ref.height,
    sequenceData = _ref.sequenceData,
    showTitle = _ref.showTitle;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: width,
      height: height,
      paddingLeft: 5,
      display: "flex",
      flexDirection: "column"
    },
    className: (0, _classnames["default"])("tg-simple-oligo-viewer", className)
  }, showTitle && /*#__PURE__*/_react["default"].createElement(_SequenceName.SequenceName, {
    isProtein: sequenceData.isProtein,
    sequenceName: sequenceData.name || "",
    sequenceLength: sequenceData.sequence ? sequenceData.sequence.length : 0
  }), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      height: "100%",
      overflow: "auto",
      wordBreak: "break-all"
    }
  }, sequenceData.sequence || ""));
}