"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _core = require("@blueprintjs/core");
var _ToolbarItem = _interopRequireDefault(require("./ToolbarItem"));
var _withEditorProps = require("../withEditorProps");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var _default = (0, _withEditorProps.connectToEditor)()(function (_ref) {
  var toolbarItemProps = _ref.toolbarItemProps,
    toggleViewVersionHistory = _ref.toggleViewVersionHistory;
  return /*#__PURE__*/_react["default"].createElement(_ToolbarItem["default"], _extends({
    Icon: /*#__PURE__*/_react["default"].createElement(_core.Icon, {
      icon: "history"
    }),
    onIconClick: toggleViewVersionHistory,
    // disabled: hasBeenSaved || lastEdit,
    tooltip: /*#__PURE__*/_react["default"].createElement("span", null, "View Version History")
  }, toolbarItemProps));
});
exports["default"] = _default;
module.exports = exports.default;