"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _core = require("@blueprintjs/core");
var _react = _interopRequireDefault(require("react"));
var _teselagenReactComponents = require("teselagen-react-components");
var _viewSubmenu = _interopRequireDefault(require("../MenuBar/viewSubmenu"));
var _commands = _interopRequireDefault(require("../commands"));
var _ToolbarItem = _interopRequireDefault(require("./ToolbarItem"));
var _withEditorProps = _interopRequireWildcard(require("../withEditorProps"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var _default = (0, _withEditorProps.connectToEditor)(function (_ref) {
  var _ref$toolBar = _ref.toolBar,
    toolBar = _ref$toolBar === void 0 ? {} : _ref$toolBar;
  return {
    isOpen: toolBar.openItem === "visibilityTool"
  };
})(function (_ref2) {
  var toolbarItemProps = _ref2.toolbarItemProps,
    isOpen = _ref2.isOpen;
  return /*#__PURE__*/_react["default"].createElement(_ToolbarItem["default"], _extends({
    Icon: /*#__PURE__*/_react["default"].createElement(_core.Icon, {
      icon: "eye-open"
    }),
    onIconClick: "toggleDropdown",
    Dropdown: VisibilityOptions,
    noDropdownIcon: true,
    toggled: isOpen,
    tooltip: isOpen ? "Hide Visibility Options" : "Show Visibility Options"
  }, toolbarItemProps));
});
exports["default"] = _default;
var VisibilityOptions = (0, _withEditorProps["default"])(function (props) {
  return /*#__PURE__*/_react["default"].createElement(_core.Menu, null, (0, _teselagenReactComponents.createCommandMenu)(_viewSubmenu["default"], (0, _commands["default"])({
    props: props
  }), {
    useTicks: true,
    omitIcons: true
  }));
});
module.exports = exports.default;