"use strict";

var _lodash = require("lodash");
var _pluralize = _interopRequireDefault(require("pluralize"));
var _react = _interopRequireWildcard(require("react"));
var _recompose = require("recompose");
var _teselagenReactComponents = require("teselagen-react-components");
var _GlobalDialogUtils = require("./GlobalDialogUtils");
var _typeField = require("./helperComponents/PropertiesDialog/typeField");
var _withEditorProps = _interopRequireDefault(require("./withEditorProps"));
var _core = require("@blueprintjs/core");
var _reduxForm = require("redux-form");
var _sequenceUtils = require("@teselagen/sequence-utils");
var _shortid = _interopRequireDefault(require("shortid"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
window.addOnGlobals = {
  tidyUpAnnotation: _sequenceUtils.tidyUpAnnotation,
  wrapDialog: _teselagenReactComponents.wrapDialog,
  withEditorProps: _withEditorProps["default"],
  reduxForm: _reduxForm.reduxForm,
  shortid: _shortid["default"],
  FileUploadField: _teselagenReactComponents.FileUploadField,
  Colors: _core.Colors,
  Tab: _core.Tab,
  Tabs: _core.Tabs,
  convertApELikeRegexToRegex: _sequenceUtils.convertApELikeRegexToRegex,
  autoAnnotate: _sequenceUtils.autoAnnotate,
  SubmissionError: _reduxForm.SubmissionError,
  getFeatureToColorMap: _sequenceUtils.getFeatureToColorMap,
  getFeatureTypes: _sequenceUtils.getFeatureTypes,
  InfoHelper: _teselagenReactComponents.InfoHelper,
  showConfirmationDialog: _teselagenReactComponents.showConfirmationDialog,
  showDialog: _GlobalDialogUtils.showDialog,
  DialogFooter: _teselagenReactComponents.DialogFooter,
  useState: _react.useState,
  startCase: _lodash.startCase,
  compose: _recompose.compose,
  hideDialog: _GlobalDialogUtils.hideDialog,
  typeField: _typeField.typeField,
  pluralize: _pluralize["default"],
  React: _react["default"],
  useEffect: _react.useEffect,
  DataTable: _teselagenReactComponents.DataTable,
  withSelectedEntities: _teselagenReactComponents.withSelectedEntities,
  withSelectTableRecords: _teselagenReactComponents.withSelectTableRecords
};