"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _redux = require("redux");
var _redux2 = _interopRequireWildcard(require("../redux"));
var _reduxThunk = _interopRequireDefault(require("redux-thunk"));
var _reduxForm = require("redux-form");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
//optionally connect to the redux store

var makeStore = function makeStore() {
  var composeEnhancer = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ && window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__({
    name: "createVectorEditor",
    latency: 1000,
    // serialize: {
    //   replacer: (key, value) => {
    //   }
    // },
    actionsDenylist: ["HOVEREDANNOTATIONUPDATE", "HOVEREDANNOTATIONCLEAR"]
  }) || _redux.compose;
  var store = (0, _redux.createStore)((0, _redux.combineReducers)({
    form: _reduxForm.reducer,
    VectorEditor: (0, _redux2["default"])()
  }), undefined, composeEnhancer((0, _redux.applyMiddleware)(_reduxThunk["default"], _redux2.vectorEditorMiddleware) //your store should be redux-thunk connected for the VectorEditor component to work
  ));

  return store;
};
var _default = makeStore;
exports["default"] = _default;
module.exports = exports.default;