"use strict";

exports.__esModule = true;
exports.withHover = exports.withEditorProps = exports.withEditorInteractions = exports.vectorEditorReducer = exports.vectorEditorMiddleware = exports.updateEditor = exports.specialCutsiteFilterOptions = exports.getUserGroupLabel = exports.getRangeAnglesSpecial = exports.getOveHotkeyDefs = exports.getGaps = exports.createVectorEditor = exports.connectToEditor = exports.addAlignment = exports.actions = exports.ToolBar = exports.StatusBarUnconnected = exports.StatusBar = exports.SimpleCircularOrLinearView = exports.RowViewUnconnected = exports.RowView = exports.RowItem = exports.PositionAnnotationOnCircle = exports.LinearViewUnconnected = exports.LinearView = exports.EnzymeViewer = exports.EditorUnconnected = exports.Editor = exports.DigestToolUnconnected = exports.DigestTool = exports.CutsiteFilterUnconnected = exports.CutsiteFilter = exports.CircularViewUnconnected = exports.CircularView = exports.AlignmentView = void 0;
require("@fontsource/ubuntu-mono");
require("./addOnGlobals");
var _core = require("@blueprintjs/core");
var _teselagenReactComponents = require("teselagen-react-components");
var _createVectorEditor = _interopRequireDefault(require("./createVectorEditor"));
exports.createVectorEditor = _createVectorEditor["default"];
require("./style.css");
var _AdditionalCutsiteInfoDialog = require("./CutsiteFilter/AdditionalCutsiteInfoDialog");
exports.getUserGroupLabel = _AdditionalCutsiteInfoDialog.getUserGroupLabel;
var _getGaps = require("./AlignmentView/getGaps");
exports.getGaps = _getGaps.getGaps;
var _withEditorProps = _interopRequireWildcard(require("./withEditorProps"));
exports.withEditorProps = _withEditorProps["default"];
exports.connectToEditor = _withEditorProps.connectToEditor;
var _withEditorInteractions = _interopRequireDefault(require("./withEditorInteractions"));
exports.withEditorInteractions = _withEditorInteractions["default"];
var _specialCutsiteFilterOptions = _interopRequireDefault(require("./constants/specialCutsiteFilterOptions"));
exports.specialCutsiteFilterOptions = _specialCutsiteFilterOptions["default"];
var _CircularView = _interopRequireWildcard(require("./CircularView"));
exports.CircularView = _CircularView["default"];
exports.CircularViewUnconnected = _CircularView.CircularView;
var _SimpleCircularOrLinearView = _interopRequireDefault(require("./SimpleCircularOrLinearView"));
exports.SimpleCircularOrLinearView = _SimpleCircularOrLinearView["default"];
var _RowView = _interopRequireWildcard(require("./RowView"));
exports.RowView = _RowView["default"];
exports.RowViewUnconnected = _RowView.RowView;
var _RowItem = _interopRequireDefault(require("./RowItem"));
exports.RowItem = _RowItem["default"];
var _Editor = _interopRequireWildcard(require("./Editor"));
exports.Editor = _Editor["default"];
exports.EditorUnconnected = _Editor.Editor;
var _ToolBar = require("./ToolBar");
exports.ToolBar = _ToolBar.ToolBar;
var _CutsiteFilter = _interopRequireWildcard(require("./CutsiteFilter"));
exports.CutsiteFilter = _CutsiteFilter["default"];
exports.CutsiteFilterUnconnected = _CutsiteFilter.CutsiteFilter;
var _LinearView = _interopRequireWildcard(require("./LinearView"));
exports.LinearView = _LinearView["default"];
exports.LinearViewUnconnected = _LinearView.LinearView;
var _StatusBar = _interopRequireWildcard(require("./StatusBar"));
exports.StatusBar = _StatusBar["default"];
exports.StatusBarUnconnected = _StatusBar.StatusBar;
var _DigestTool = _interopRequireWildcard(require("./DigestTool/DigestTool"));
exports.DigestTool = _DigestTool["default"];
exports.DigestToolUnconnected = _DigestTool.DigestTool;
var _withHover = _interopRequireDefault(require("./helperComponents/withHover"));
exports.withHover = _withHover["default"];
var _redux = _interopRequireWildcard(require("./redux"));
exports.vectorEditorReducer = _redux["default"];
exports.vectorEditorMiddleware = _redux.vectorEditorMiddleware;
exports.actions = _redux.actions;
var _updateEditor = _interopRequireDefault(require("./updateEditor"));
exports.updateEditor = _updateEditor["default"];
var _addAlignment = _interopRequireDefault(require("./addAlignment"));
exports.addAlignment = _addAlignment["default"];
var _getRangeAnglesSpecial = _interopRequireDefault(require("./CircularView/getRangeAnglesSpecial"));
exports.getRangeAnglesSpecial = _getRangeAnglesSpecial["default"];
var _PositionAnnotationOnCircle = _interopRequireDefault(require("./CircularView/PositionAnnotationOnCircle"));
exports.PositionAnnotationOnCircle = _PositionAnnotationOnCircle["default"];
var _EnzymeViewer = _interopRequireDefault(require("./EnzymeViewer"));
exports.EnzymeViewer = _EnzymeViewer["default"];
var _AlignmentView = _interopRequireDefault(require("./AlignmentView"));
exports.AlignmentView = _AlignmentView["default"];
var _getOveHotkeyDefs = _interopRequireDefault(require("./commands/getOveHotkeyDefs"));
exports.getOveHotkeyDefs = _getOveHotkeyDefs["default"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
window.tgCreateMenu = _teselagenReactComponents.showContextMenu;
// window.tgCreateMenu = (menu, e, e2) => {
//   (e||e2).stopPropagation()
//   (e || e2)
// } //add this to the window so people can easily override the default context menus

_core.FocusStyleManager.onlyShowFocusOnTabs();