"use strict";

exports.__esModule = true;
exports.updateSequenceSpacing = exports["default"] = void 0;
var _reduxAct = require("redux-act");
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createReducer;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// ------------------------------------
// Actions
// ------------------------------------
var updateSequenceSpacing = (0, _createMetaAction["default"])("updateSequenceSpacing");
exports.updateSequenceSpacing = updateSequenceSpacing;
var newVal = window.localStorage.getItem("charWidth");

// ------------------------------------
// Reducer
// ------------------------------------
var _default = (0, _reduxAct.createReducer)((_createReducer = {}, _createReducer[updateSequenceSpacing] = function (state, payload) {
  localStorage.setItem("charWidth", payload);
  return payload;
}, _createReducer), newVal || 9);
exports["default"] = _default;