"use strict";

exports.__esModule = true;
exports["default"] = exports.changeLabelLineIntensity = void 0;
var _reduxAct = require("redux-act");
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createReducer;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// ------------------------------------
// Actions
// ------------------------------------
var changeLabelLineIntensity = (0, _createMetaAction["default"])("changeLabelLineIntensity");
exports.changeLabelLineIntensity = changeLabelLineIntensity;
var newVal = window.localStorage.getItem("labelLineIntensity");

// ------------------------------------
// Reducer
// ------------------------------------
var _default = (0, _reduxAct.createReducer)((_createReducer = {}, _createReducer[changeLabelLineIntensity] = function (state, payload) {
  localStorage.setItem("labelLineIntensity", payload);
  return payload;
}, _createReducer), newVal ? parseFloat(newVal) : 0.1 //  0.1 (low) || 0.4 (med) || 0.7 (high) || 1.0 (full)
);
exports["default"] = _default;