"use strict";

exports.__esModule = true;
exports.updatePrimerLengthsToHide = exports.togglePrimerLengthsToHide = exports["default"] = void 0;
var _createMergedDefaultStateReducer = _interopRequireDefault(require("./utils/createMergedDefaultStateReducer"));
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createMergedDefaultS;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
// ------------------------------------
// Actions
// ------------------------------------
var updatePrimerLengthsToHide = (0, _createMetaAction["default"])("updatePrimerLengthsToHide");
exports.updatePrimerLengthsToHide = updatePrimerLengthsToHide;
var togglePrimerLengthsToHide = (0, _createMetaAction["default"])("togglePrimerLengthsToHide");

// ------------------------------------
// Reducer
// ------------------------------------
exports.togglePrimerLengthsToHide = togglePrimerLengthsToHide;
var _default = (0, _createMergedDefaultStateReducer["default"])((_createMergedDefaultS = {}, _createMergedDefaultS[updatePrimerLengthsToHide] = function (state, payload) {
  return _extends({}, state, payload);
}, _createMergedDefaultS[togglePrimerLengthsToHide] = function (state) {
  return _extends({}, state, {
    enabled: !state["enabled"]
  });
}, _createMergedDefaultS), {
  enabled: false,
  min: 0,
  max: 40
});
exports["default"] = _default;