"use strict";

exports.__esModule = true;
exports.upsertPart = exports.deletePart = exports["default"] = void 0;
var _reduxAct = require("redux-act");
var _createMetaAction = _interopRequireDefault(require("../utils/createMetaAction"));
var _upsertDeleteActionGenerator = _interopRequireDefault(require("./upsertDeleteActionGenerator"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
// ------------------------------------
// Actions
// ------------------------------------
var upsertPart = (0, _createMetaAction["default"])("UPSERT_PART");
exports.upsertPart = upsertPart;
var deletePart = (0, _createMetaAction["default"])("DELETE_PART");

// ------------------------------------
// Reducer
// ------------------------------------
exports.deletePart = deletePart;
var _default = (0, _reduxAct.createReducer)(_extends({}, (0, _upsertDeleteActionGenerator["default"])(upsertPart, deletePart)), {});
exports["default"] = _default;