"use strict";

exports.__esModule = true;
exports.updateSequenceCase = exports["default"] = void 0;
var _reduxAct = require("redux-act");
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createReducer;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// import createReducer from "./utils/createMergedDefaultStateReducer";

// ------------------------------------
// Actions
// ------------------------------------
var updateSequenceCase = (0, _createMetaAction["default"])("updateSequenceCase");
exports.updateSequenceCase = updateSequenceCase;
var newVal = window.localStorage.getItem("uppercaseSequenceMapFont");

// ------------------------------------
// Reducer
// ------------------------------------
var _default = (0, _reduxAct.createReducer)((_createReducer = {}, _createReducer[updateSequenceCase] = function (state, payload) {
  localStorage.setItem("uppercaseSequenceMapFont", payload);
  return payload;
}, _createReducer), newVal || "noPreference" //  noPreference || uppercase || lowercase
);
exports["default"] = _default;