"use strict";

exports.__esModule = true;
exports.toggleViewVersionHistory = exports["default"] = void 0;
var _reduxAct = require("redux-act");
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createReducer;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
// ------------------------------------
// Actions
// ------------------------------------
var toggleViewVersionHistory = (0, _createMetaAction["default"])("TOGGLE_VIEW_VERSION_HISTORY", function () {}); //NOTE!!:: second argument sanitizes actions so no payload is passed

// ------------------------------------
// Reducer
// ------------------------------------
exports.toggleViewVersionHistory = toggleViewVersionHistory;
var _default = (0, _reduxAct.createReducer)((_createReducer = {}, _createReducer[toggleViewVersionHistory] = function (state) {
  return {
    viewVersionHistory: !state.viewVersionHistory
  };
}, _createReducer), {
  viewVersionHistory: false
});
exports["default"] = _default;