"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _circularSelector = _interopRequireDefault(require("./circularSelector"));
var _sequenceSelector = _interopRequireDefault(require("./sequenceSelector"));
var _minimumOrfSizeSelector = _interopRequireDefault(require("./minimumOrfSizeSelector"));
var _sequenceUtils = require("@teselagen/sequence-utils");
var _reselect = require("reselect");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = (0, _reselect.createSelector)(_sequenceSelector["default"], _circularSelector["default"], _minimumOrfSizeSelector["default"], function (state) {
  return state.useAdditionalOrfStartCodons;
}, _sequenceUtils.findOrfsInPlasmid); //tiny
exports["default"] = _default;
module.exports = exports.default;