"use strict";

exports.__esModule = true;
exports.getLowerCaseObj = getLowerCaseObj;
exports.insertItem = insertItem;
exports.removeItem = removeItem;
function insertItem(array, item, index) {
  return [].concat(array.slice(0, index), [item], array.slice(index));
}
function removeItem(array, i) {
  return array.filter(function (_, j) {
    return j !== Number(i);
  });
}
function getLowerCaseObj(obj) {
  if (obj === void 0) {
    obj = {};
  }
  var key;
  var keys = Object.keys(obj);
  var n = keys.length;
  var newobj = {};
  while (n--) {
    key = keys[n];
    newobj[key.toLowerCase()] = obj[key];
  }
  return newobj;
}