"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _lodash = _interopRequireWildcard(require("lodash"));
var _recompose = require("recompose");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
// import deepEqual from "deep-equal";

var onlyUpdateForKeys = function onlyUpdateForKeys(propKeys) {
  var hoc = (0, _recompose.shouldUpdate)(function (props, nextProps) {
    var a = !isEq((0, _lodash.pick)(nextProps, propKeys), (0, _lodash.pick)(props, propKeys));
    return a;
  });

  // if (process.env.NODE_ENV !== "production") {
  //   return BaseComponent =>
  //     setDisplayName(wrapDisplayName(BaseComponent, "onlyUpdateForKeys"))(
  //       hoc(BaseComponent)
  //     );
  // }
  return hoc;
};
var _default = onlyUpdateForKeys;
exports["default"] = _default;
var isEq = function isEq(o1, o2) {
  var isEq = _lodash["default"].isEqualWith(o1, o2, function (val1, val2) {
    if (_lodash["default"].isFunction(val1) && _lodash["default"].isFunction(val2)) {
      return val1 === val2 || val1.toString() === val2.toString();
    }
  });
  return isEq;
};
module.exports = exports.default;