"use strict";

exports.__esModule = true;
exports.getAllSelectionLayers = getAllSelectionLayers;
function getAllSelectionLayers(_ref) {
  var _ref$additionalSelect = _ref.additionalSelectionLayers,
    additionalSelectionLayers = _ref$additionalSelect === void 0 ? [] : _ref$additionalSelect,
    _ref$searchLayers = _ref.searchLayers,
    searchLayers = _ref$searchLayers === void 0 ? [] : _ref$searchLayers,
    selectionLayer = _ref.selectionLayer;
  var selectionLayers = [].concat(additionalSelectionLayers, searchLayers, Array.isArray(selectionLayer) ? selectionLayer : [selectionLayer]);
  var doubleWrappedColor = "#edb2f1";
  // const doubleWrappedColor = "#abdbfb";

  if (selectionLayer.overlapsSelf) {
    selectionLayers.push({
      start: selectionLayer.end + 1,
      end: selectionLayer.start - 1,
      color: selectionLayer.isWrappedAddon ? undefined : doubleWrappedColor
    });
    if (selectionLayer.isWrappedAddon) {
      selectionLayer.color = doubleWrappedColor;
    }
  }
  return selectionLayers;
}