var _excluded = ["easyStore"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from "react";
import SelectionLayer from "../RowItem/SelectionLayer";
import { view } from "@risingstack/react-easy-state";
export var PerformantSelectionLayer = view(function (_ref) {
  var easyStore = _ref.easyStore,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded);
  var seqLen = rest.sequenceLength - 1;
  return /*#__PURE__*/React.createElement(SelectionLayer, _extends({
    regions: [_extends({}, easyStore.selectionLayer, {
      ignoreGaps: true
    }), {
      start: Math.floor((easyStore.percentScrolledPreZoom || easyStore.percentScrolled) * seqLen),
      end: Math.floor((easyStore.percentScrolledPreZoom || easyStore.percentScrolled) * seqLen),
      className: "zoomSelection",
      ignoreGaps: true,
      style: {
        zIndex: -1,
        opacity: 0
      }
    }]
  }, rest));
});