import React from "react";
export function CircularZoomMinimap(_ref) {
  var percentOfCircle = _ref.percentOfCircle,
    rotationRadians = _ref.rotationRadians;
  var percent = Math.max(2, Math.min(45, percentOfCircle * 100 * 0.9));
  return /*#__PURE__*/React.createElement("div", {
    className: "circularViewMinimap",
    style: {
      transform: "scale(-1,1) rotate(" + (rotationRadians * 180 / Math.PI - percent * 1.8) + "deg)",
      "--p": percent
    }
  });
}