var _createMergedDefaultS;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
//./caretPosition.js
import createAction from "./utils/createMetaAction";
import createMergedDefaultStateReducer from "./utils/createMergedDefaultStateReducer";
var visibilityInitialValues = {
  features: true,
  parts: true,
  primers: true,
  cutsites: true,
  assemblyPieces: true,
  lineageAnnotations: true,
  warnings: true
};

// ------------------------------------
// Actions
// ------------------------------------
export var annotationLabelVisibilityToggle = createAction("annotationLabelVisibilityToggle");
export var annotationLabelVisibilityShow = createAction("annotationLabelVisibilityShow");
export var annotationLabelVisibilityHide = createAction("annotationLabelVisibilityHide");

// ------------------------------------
// Reducer
// ------------------------------------
export default createMergedDefaultStateReducer((_createMergedDefaultS = {}, _createMergedDefaultS[annotationLabelVisibilityToggle] = function (state, payload) {
  var _extends2;
  return _extends({}, state, (_extends2 = {}, _extends2[payload] = !state[payload], _extends2));
}, _createMergedDefaultS[annotationLabelVisibilityShow] = function (state, payload) {
  var _extends3;
  return _extends({}, state, (_extends3 = {}, _extends3[payload] = true, _extends3));
}, _createMergedDefaultS[annotationLabelVisibilityHide] = function (state, payload) {
  var _extends4;
  return _extends({}, state, (_extends4 = {}, _extends4[payload] = false, _extends4));
}, _createMergedDefaultS), visibilityInitialValues);