var _createMergedDefaultS;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import createAction from "./utils/createMetaAction";
import createMergedDefaultStateReducer from "./utils/createMergedDefaultStateReducer";

// ------------------------------------
// Actions
// ------------------------------------
export var updateSelectedFragment = createAction("updateSelectedFragment");
export var updateComputePartialDigest = createAction("updateComputePartialDigest");

// ------------------------------------
// Reducer
// ------------------------------------
export default createMergedDefaultStateReducer((_createMergedDefaultS = {}, _createMergedDefaultS[updateSelectedFragment] = function (state, payload) {
  return _extends({}, state, {
    selectedFragment: payload
  });
}, _createMergedDefaultS[updateComputePartialDigest] = function (state, payload) {
  return _extends({}, state, {
    computePartialDigest: payload
  });
}, _createMergedDefaultS), {
  selectedFragment: undefined,
  computePartialDigest: false
});