var _createReducer;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
//./caretPosition.js
import { createReducer } from "redux-act";
import createAction from "./utils/createMetaAction";

// ------------------------------------
// Actions
// ------------------------------------
export var frameTranslationToggle = createAction("FRAME_TRANSLATION_TOGGLE");
export var frameTranslationToggleOn = createAction("FRAME_TRANSLATION_TOGGLE_ON");
export var frameTranslationToggleOff = createAction("FRAME_TRANSLATION_TOGGLE_OFF");

// ------------------------------------
// Reducer
// ------------------------------------
export default createReducer((_createReducer = {}, _createReducer[frameTranslationToggle] = function (state, payload) {
  var _extends2;
  return _extends({}, state, (_extends2 = {}, _extends2[payload] = !state[payload], _extends2));
}, _createReducer[frameTranslationToggleOn] = function (state, payload) {
  var _extends3;
  return _extends({}, state, (_extends3 = {}, _extends3[payload] = true, _extends3));
}, _createReducer[frameTranslationToggleOff] = function (state, payload) {
  var _extends4;
  return _extends({}, state, (_extends4 = {}, _extends4[payload] = false, _extends4));
}, _createReducer), {
  "1": false,
  "2": false,
  "3": false,
  "-1": false,
  "-2": false,
  "-3": false
});
export function getMinimumOrfSize(state) {
  return state;
}