var _createMergedDefaultS;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import createAction from "./utils/createMetaAction";
import createMergedDefaultStateReducer from "./utils/createMergedDefaultStateReducer";

// ------------------------------------
// Actions
// ------------------------------------
// export const propertiesViewToggle = createAction(
//   "TOGGLE_PROPERTIES_VIEW",
//   () => {}
// ); //NOTE!!:: second argument sanitizes actions so no payload is passed
// export const propertiesViewOpen = createAction(
//   "Open_PROPERTIES_VIEW",
//   () => {}
// ); //NOTE!!:: second argument sanitizes actions so no payload is passed
export var propertiesViewTabUpdate = createAction("propertiesViewTabUpdate"); //NOTE!!:: second argument sanitizes actions so no payload is passed

// ------------------------------------
// Reducer
// ------------------------------------
export default createMergedDefaultStateReducer((_createMergedDefaultS = {}, _createMergedDefaultS[propertiesViewTabUpdate] = function (state, tabId, selectedAnnotationOrAnnotationId) {
  return _extends({}, state, {
    selectedAnnotationId: selectedAnnotationOrAnnotationId ? selectedAnnotationOrAnnotationId.id || selectedAnnotationOrAnnotationId : undefined,
    tabId: tabId
  });
}, _createMergedDefaultS), {
  tabId: "general"
});