function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import { createReducer } from "redux-act";
import createAction from "../utils/createMetaAction";
import upsertDeleteActionGenerator from "./upsertDeleteActionGenerator";

// ------------------------------------
// Actions
// ------------------------------------
export var upsertFeature = createAction("UPSERT_FEATURE");
export var deleteFeature = createAction("DELETE_FEATURE");

// ------------------------------------
// Reducer
// ------------------------------------
export default createReducer(_extends({}, upsertDeleteActionGenerator(upsertFeature, deleteFeature)), {});