import { genericCommandFactory } from "teselagen-react-components";
export function oveCommandFactory(instance, commandDefs) {
  return genericCommandFactory({
    getArguments: function getArguments(cmdId, _ref) {
      var ctxInfo = _ref[0];
      var args = [instance.props];
      var _instance$props = instance.props,
        store = _instance$props.store,
        editorName = _instance$props.editorName;
      if (store && editorName) {
        args.push(store.getState().VectorEditor[editorName]);
      }
      args.push(ctxInfo);
      return args;
    },
    handleReturn: function handleReturn() {},
    commandDefs: commandDefs
  });
}