export function getVisibleStartEnd(_ref) {
  var scrollData = _ref.scrollData,
    width = _ref.width;
  var percentScrolled = scrollData.percentScrolled,
    viewportWidth = scrollData.viewportWidth;
  var visibleStart = percentScrolled * (width - viewportWidth);
  var visibleEnd = visibleStart + viewportWidth;
  return {
    visibleEnd: visibleEnd,
    visibleStart: visibleStart
  };
}