"use strict";

exports.__esModule = true;
exports.HorizontalPanelDragHandle = HorizontalPanelDragHandle;
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function HorizontalPanelDragHandle(_ref) {
  var onDrag = _ref.onDrag;
  var xStart = (0, _react.useRef)(0);
  var resize = (0, _react.useRef)(function (e) {
    var dx = xStart.current - e.clientX;
    onDrag({
      dx: dx
    });
    xStart.current = e.clientX;
  });
  var mouseup = (0, _react.useRef)(function () {
    document.removeEventListener("mousemove", resize.current, false);
    document.removeEventListener("mousemove", mouseup.current, false);
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    onMouseDown: function onMouseDown(e) {
      xStart.current = e.clientX;
      document.addEventListener("mousemove", resize.current, false);
      document.addEventListener("mouseup", mouseup.current, false);
    },
    style: {
      position: "absolute",
      top: 0,
      right: -1,
      zIndex: 1000,
      height: "100%",
      cursor: "ew-resize",
      width: 3,
      opacity: 0,
      background: "blue"
    }
  });
}