"use strict";

exports.__esModule = true;
exports.PerformantSelectionLayer = void 0;
var _react = _interopRequireDefault(require("react"));
var _SelectionLayer = _interopRequireDefault(require("../RowItem/SelectionLayer"));
var _reactEasyState = require("@risingstack/react-easy-state");
var _excluded = ["easyStore"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var PerformantSelectionLayer = (0, _reactEasyState.view)(function (_ref) {
  var easyStore = _ref.easyStore,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded);
  var seqLen = rest.sequenceLength - 1;
  return /*#__PURE__*/_react["default"].createElement(_SelectionLayer["default"], _extends({
    regions: [_extends({}, easyStore.selectionLayer, {
      ignoreGaps: true
    }), {
      start: Math.floor((easyStore.percentScrolledPreZoom || easyStore.percentScrolled) * seqLen),
      end: Math.floor((easyStore.percentScrolledPreZoom || easyStore.percentScrolled) * seqLen),
      className: "zoomSelection",
      ignoreGaps: true,
      style: {
        zIndex: -1,
        opacity: 0
      }
    }]
  }, rest));
});
exports.PerformantSelectionLayer = PerformantSelectionLayer;