"use strict";

exports.__esModule = true;
exports["default"] = CircularPrimer;
var _react = _interopRequireDefault(require("react"));
var _drawDirectedPiePiece = _interopRequireDefault(require("./drawDirectedPiePiece"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function CircularPrimer(_ref) {
  var _ref$color = _ref.color,
    color = _ref$color === void 0 ? "orange" : _ref$color,
    radius = _ref.radius,
    annotationHeight = _ref.annotationHeight,
    totalAngle = _ref.totalAngle;
  return /*#__PURE__*/_react["default"].createElement("path", {
    className: "veOrf",
    strokeWidth: ".5",
    stroke: color,
    fill: color,
    d: (0, _drawDirectedPiePiece["default"])({
      radius: radius,
      annotationHeight: annotationHeight,
      totalAngle: totalAngle,
      arrowheadLength: 0.4,
      tailThickness: 0.4
    }).print()
  });
}
module.exports = exports.default;