"use strict";

exports.__esModule = true;
exports["default"] = Ladder;
var _react = _interopRequireWildcard(require("react"));
var _teselagenReactComponents = require("teselagen-react-components");
var _html2canvas = _interopRequireDefault(require("html2canvas"));
require("./Ladder.css");
var _core = require("@blueprintjs/core");
var _GlobalDialogUtils = require("../GlobalDialogUtils");
var _AddLaddersDialog = require("./AddLaddersDialog");
var _ladderDefaults = require("./ladderDefaults");
var _useLadders2 = _interopRequireDefault(require("../utils/useLadders"));
var _lodash = require("lodash");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return exports; }; var exports = {}, Op = Object.prototype, hasOwn = Op.hasOwnProperty, defineProperty = Object.defineProperty || function (obj, key, desc) { obj[key] = desc.value; }, $Symbol = "function" == typeof Symbol ? Symbol : {}, iteratorSymbol = $Symbol.iterator || "@@iterator", asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator", toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag"; function define(obj, key, value) { return Object.defineProperty(obj, key, { value: value, enumerable: !0, configurable: !0, writable: !0 }), obj[key]; } try { define({}, ""); } catch (err) { define = function define(obj, key, value) { return obj[key] = value; }; } function wrap(innerFn, outerFn, self, tryLocsList) { var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator, generator = Object.create(protoGenerator.prototype), context = new Context(tryLocsList || []); return defineProperty(generator, "_invoke", { value: makeInvokeMethod(innerFn, self, context) }), generator; } function tryCatch(fn, obj, arg) { try { return { type: "normal", arg: fn.call(obj, arg) }; } catch (err) { return { type: "throw", arg: err }; } } exports.wrap = wrap; var ContinueSentinel = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var IteratorPrototype = {}; define(IteratorPrototype, iteratorSymbol, function () { return this; }); var getProto = Object.getPrototypeOf, NativeIteratorPrototype = getProto && getProto(getProto(values([]))); NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype); var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype); function defineIteratorMethods(prototype) { ["next", "throw", "return"].forEach(function (method) { define(prototype, method, function (arg) { return this._invoke(method, arg); }); }); } function AsyncIterator(generator, PromiseImpl) { function invoke(method, arg, resolve, reject) { var record = tryCatch(generator[method], generator, arg); if ("throw" !== record.type) { var result = record.arg, value = result.value; return value && "object" == typeof value && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) { invoke("next", value, resolve, reject); }, function (err) { invoke("throw", err, resolve, reject); }) : PromiseImpl.resolve(value).then(function (unwrapped) { result.value = unwrapped, resolve(result); }, function (error) { return invoke("throw", error, resolve, reject); }); } reject(record.arg); } var previousPromise; defineProperty(this, "_invoke", { value: function value(method, arg) { function callInvokeWithMethodAndArg() { return new PromiseImpl(function (resolve, reject) { invoke(method, arg, resolve, reject); }); } return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(innerFn, self, context) { var state = "suspendedStart"; return function (method, arg) { if ("executing" === state) throw new Error("Generator is already running"); if ("completed" === state) { if ("throw" === method) throw arg; return doneResult(); } for (context.method = method, context.arg = arg;;) { var delegate = context.delegate; if (delegate) { var delegateResult = maybeInvokeDelegate(delegate, context); if (delegateResult) { if (delegateResult === ContinueSentinel) continue; return delegateResult; } } if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) { if ("suspendedStart" === state) throw state = "completed", context.arg; context.dispatchException(context.arg); } else "return" === context.method && context.abrupt("return", context.arg); state = "executing"; var record = tryCatch(innerFn, self, context); if ("normal" === record.type) { if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue; return { value: record.arg, done: context.done }; } "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg); } }; } function maybeInvokeDelegate(delegate, context) { var methodName = context.method, method = delegate.iterator[methodName]; if (undefined === method) return context.delegate = null, "throw" === methodName && delegate.iterator["return"] && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method) || "return" !== methodName && (context.method = "throw", context.arg = new TypeError("The iterator does not provide a '" + methodName + "' method")), ContinueSentinel; var record = tryCatch(method, delegate.iterator, context.arg); if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel; var info = record.arg; return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel); } function pushTryEntry(locs) { var entry = { tryLoc: locs[0] }; 1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry); } function resetTryEntry(entry) { var record = entry.completion || {}; record.type = "normal", delete record.arg, entry.completion = record; } function Context(tryLocsList) { this.tryEntries = [{ tryLoc: "root" }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0); } function values(iterable) { if (iterable) { var iteratorMethod = iterable[iteratorSymbol]; if (iteratorMethod) return iteratorMethod.call(iterable); if ("function" == typeof iterable.next) return iterable; if (!isNaN(iterable.length)) { var i = -1, next = function next() { for (; ++i < iterable.length;) { if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next; } return next.value = undefined, next.done = !0, next; }; return next.next = next; } } return { next: doneResult }; } function doneResult() { return { value: undefined, done: !0 }; } return GeneratorFunction.prototype = GeneratorFunctionPrototype, defineProperty(Gp, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), defineProperty(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) { var ctor = "function" == typeof genFun && genFun.constructor; return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name)); }, exports.mark = function (genFun) { return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun; }, exports.awrap = function (arg) { return { __await: arg }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () { return this; }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) { void 0 === PromiseImpl && (PromiseImpl = Promise); var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl); return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) { return result.done ? result.value : iter.next(); }); }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () { return this; }), define(Gp, "toString", function () { return "[object Generator]"; }), exports.keys = function (val) { var object = Object(val), keys = []; for (var key in object) { keys.push(key); } return keys.reverse(), function next() { for (; keys.length;) { var key = keys.pop(); if (key in object) return next.value = key, next.done = !1, next; } return next.done = !0, next; }; }, exports.values = values, Context.prototype = { constructor: Context, reset: function reset(skipTempReset) { if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) { "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined); } }, stop: function stop() { this.done = !0; var rootRecord = this.tryEntries[0].completion; if ("throw" === rootRecord.type) throw rootRecord.arg; return this.rval; }, dispatchException: function dispatchException(exception) { if (this.done) throw exception; var context = this; function handle(loc, caught) { return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught; } for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i], record = entry.completion; if ("root" === entry.tryLoc) return handle("end"); if (entry.tryLoc <= this.prev) { var hasCatch = hasOwn.call(entry, "catchLoc"), hasFinally = hasOwn.call(entry, "finallyLoc"); if (hasCatch && hasFinally) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } else if (hasCatch) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); } else { if (!hasFinally) throw new Error("try statement without catch or finally"); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } } } }, abrupt: function abrupt(type, arg) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) { var finallyEntry = entry; break; } } finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null); var record = finallyEntry ? finallyEntry.completion : {}; return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record); }, complete: function complete(record, afterLoc) { if ("throw" === record.type) throw record.arg; return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel; }, finish: function finish(finallyLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel; } }, "catch": function _catch(tryLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc === tryLoc) { var record = entry.completion; if ("throw" === record.type) { var thrown = record.arg; resetTryEntry(entry); } return thrown; } } throw new Error("illegal catch attempt"); }, delegateYield: function delegateYield(iterable, resultName, nextLoc) { return this.delegate = { iterator: values(iterable), resultName: resultName, nextLoc: nextLoc }, "next" === this.method && (this.arg = undefined), ContinueSentinel; } }, exports; }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function Ladder(_ref) {
  var _ref$boxHeight = _ref.boxHeight,
    boxHeight = _ref$boxHeight === void 0 ? 550 : _ref$boxHeight,
    _ref$lanes = _ref.lanes,
    lanes = _ref$lanes === void 0 ? [] : _ref$lanes,
    digestLaneRightClicked = _ref.digestLaneRightClicked,
    selectedFragment = _ref.selectedFragment,
    _ref$ladders = _ref.ladders,
    ladders = _ref$ladders === void 0 ? _ladderDefaults.ladderDefaults : _ref$ladders;
  var _useLadders = (0, _useLadders2["default"])(),
    additionalLadders = _useLadders[0],
    setLadders = _useLadders[1];
  var laddersToUse = [].concat(ladders, (0, _lodash.map)(additionalLadders, function (l, i) {
    return _extends({}, l, {
      label: /*#__PURE__*/_react["default"].createElement("div", {
        key: i,
        style: {
          display: "flex",
          alignItems: "center",
          justifyContent: "space-between",
          width: "100%"
        }
      }, l.label, " ", /*#__PURE__*/_react["default"].createElement(_core.Button, {
        onClick: /*#__PURE__*/function () {
          var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(e) {
            var confirm;
            return _regeneratorRuntime().wrap(function _callee$(_context) {
              while (1) {
                switch (_context.prev = _context.next) {
                  case 0:
                    e.preventDefault();
                    e.stopPropagation();
                    _context.next = 4;
                    return (0, _teselagenReactComponents.showConfirmationDialog)({
                      text: "Are you sure you want to delete this custom ladder? You cannot undo this action",
                      intent: "danger",
                      confirmButtonText: "Delete",
                      cancelButtonText: "Cancel",
                      canEscapeKeyCancel: true
                    });
                  case 4:
                    confirm = _context.sent;
                    if (confirm) {
                      _context.next = 7;
                      break;
                    }
                    return _context.abrupt("return");
                  case 7:
                    setSelectedLadder(ladders[0].value);
                    setLadders((0, _lodash.filter)(additionalLadders, function (lad) {
                      return lad.value !== l.value;
                    }));
                  case 9:
                  case "end":
                    return _context.stop();
                }
              }
            }, _callee);
          }));
          return function (_x) {
            return _ref2.apply(this, arguments);
          };
        }(),
        intent: "danger",
        small: true,
        minimal: true,
        icon: "trash"
      }))
    });
  }));
  var _useState = (0, _react.useState)(),
    highlightedFragment = _useState[0],
    setHighlightedFragment = _useState[1];
  var _useState2 = (0, _react.useState)(ladders[0].value),
    selectedLadder = _useState2[0],
    setSelectedLadder = _useState2[1];
  var ladderInfo;
  laddersToUse.forEach(function (ladder) {
    if (ladder.value === selectedLadder) ladderInfo = _extends({}, ladder, {
      markings: ladder.markings.sort(function (a, b) {
        return b - a;
      })
    });
  });
  if (!ladderInfo) {
    return console.error("Uh oh there needs to be ladder info here!");
  }
  var sharedStyle = {
    color: "white",
    background: "black"
  }; //use a shared style to get the copy image to look nice
  var upperBoundary = ladderInfo.markings[0];
  return /*#__PURE__*/_react["default"].createElement("div", null, "Ladder:", /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: "flex"
    }
  }, /*#__PURE__*/_react["default"].createElement(_teselagenReactComponents.TgSelect, {
    className: "tg-ladder-selector",
    value: selectedLadder,
    onChange: function onChange(val) {
      return setSelectedLadder(val.value);
    },
    options: laddersToUse
  }), /*#__PURE__*/_react["default"].createElement(_core.Button, {
    onClick: function onClick() {
      (0, _GlobalDialogUtils.showDialog)({
        ModalComponent: _AddLaddersDialog.AddLaddersDialog,
        props: {
          setSelectedLadder: setSelectedLadder
        }
      });
    },
    style: {
      minWidth: 150
    },
    minimal: true,
    small: true,
    icon: "plus",
    intent: "primary"
  }, "Add Ladder")), /*#__PURE__*/_react["default"].createElement("br", null), /*#__PURE__*/_react["default"].createElement("div", {
    className: "ve-digest-outer-container",
    style: _extends({
      position: "relative",
      width: "fit-content"
    }, sharedStyle)
  }, navigator.clipboard && window.isSecureContext && /*#__PURE__*/_react["default"].createElement(_core.Button, {
    icon: "duplicate",
    minimal: true,
    style: {
      position: "absolute",
      top: 5,
      right: 5,
      color: "white"
    },
    onClick: function onClick() {
      try {
        (0, _html2canvas["default"])(document.querySelector(".ve-digest-container")).then(function (canvas) {
          canvas.toBlob(function (blob) {
            return navigator.clipboard.write([new window.ClipboardItem({
              "image/png": blob
            })]);
          });
          window.toastr.success("Image copied to clipboard!");
        });
      } catch (e) {
        window.toastr.error("Error copying the image, try just taking a screenshot instead ;)");
      }
    }
  }), /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      padding: 3,
      paddingLeft: 7,
      width: 290
    }
  }, "Highlighted Fragment:", " ", highlightedFragment ? highlightedFragment.size : "--", " "), /*#__PURE__*/_react["default"].createElement("div", {
    style: _extends({
      height: boxHeight
    }, sharedStyle),
    className: "ve-digest-container"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      width: 100
    },
    className: "ve-digest-column ve-digest-ladder"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "ve-digest-header"
  }, " "), ladderInfo.markings.map(function (val, index) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: index,
      style: {
        fontSize: 12,
        position: "absolute",
        width: "100%",
        display: "flex",
        alignItems: "center",
        color: "white",
        bottom: calculateOffset(boxHeight, val, upperBoundary) - 3 //subtract 3 to get the labels to align better
      }
    }, /*#__PURE__*/_react["default"].createElement("span", {
      style: {
        color: "white",
        paddingLeft: 6,
        paddingRight: 4
      }
    }, val, " "), /*#__PURE__*/_react["default"].createElement("span", {
      style: {
        color: "white",
        paddingRight: 4
      }
    }, " bp "));
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: "ve-digest-column ve-digest-ladder"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "ve-digest-header"
  }, "Ladder "), ladderInfo.markings.map(function (val, index) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: index,
      style: {
        fontSize: 12,
        position: "absolute",
        width: "100%",
        display: "flex",
        alignItems: "center",
        color: "white",
        height: "2px",
        background: "white",
        bottom: calculateOffset(boxHeight, val, upperBoundary)
      }
    });
  })), lanes.map(function (fragments, index) {
    return /*#__PURE__*/_react["default"].createElement(Lane, {
      key: index,
      onMouseOver: function onMouseOver(fragment) {
        return setHighlightedFragment(fragment);
      },
      onMouseOut: function onMouseOut() {
        return setHighlightedFragment(undefined);
      },
      digestLaneRightClicked: digestLaneRightClicked,
      laneNumber: index + 1,
      fragments: fragments,
      highlightedFragment: highlightedFragment,
      selectedFragment: selectedFragment,
      boxHeight: boxHeight,
      upperBoundary: upperBoundary
    });
  }))));
}
function Lane(_ref3) {
  var laneNumber = _ref3.laneNumber,
    _onMouseOver = _ref3.onMouseOver,
    _onMouseOut = _ref3.onMouseOut,
    digestLaneRightClicked = _ref3.digestLaneRightClicked,
    fragments = _ref3.fragments,
    highlightedFragment = _ref3.highlightedFragment,
    selectedFragment = _ref3.selectedFragment,
    boxHeight = _ref3.boxHeight,
    upperBoundary = _ref3.upperBoundary;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      marginLeft: 20,
      marginRight: 20
    },
    className: "ve-digest-column ve-digest-lane"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "ve-digest-header"
  }, "Lane ", laneNumber, " "), fragments.map(function (fragment, index) {
    var size = fragment.size,
      id = fragment.id,
      name = fragment.name;
    var isHighlighted = highlightedFragment && id === highlightedFragment.id || selectedFragment && id === highlightedFragment.id;
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: index,
      onMouseOver: function onMouseOver() {
        _onMouseOver(fragment);
      },
      onMouseOut: function onMouseOut() {
        _onMouseOut(fragment);
      },
      onClick: function onClick() {
        fragment.onFragmentSelect();
      },
      onContextMenu: function onContextMenu(e) {
        fragment.onFragmentSelect();
        digestLaneRightClicked(e);
      },
      "data-test": name,
      style: {
        fontSize: 12,
        position: "absolute",
        display: "flex",
        alignItems: "center",
        color: isHighlighted ? "#fdffdd" : "white",
        width: "90%",
        height: isHighlighted ? "3px" : "2px",
        background: "white",
        bottom: calculateOffset(boxHeight, size, upperBoundary)
      }
    }, /*#__PURE__*/_react["default"].createElement(_core.Tooltip, {
      className: "ve-digest-fragment-tooltip",
      content: /*#__PURE__*/_react["default"].createElement("div", null, name)
    }, /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        width: "100%",
        height: isHighlighted ? "3px" : "2px"
      }
    })));
  }));
}
function calculateOffset(boxHeight, size, upperBoundary) {
  return boxHeight * Math.log(size) / Math.log(upperBoundary) - 55;
}
module.exports = exports.default;