"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
var AnnotationPositioner = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(AnnotationPositioner, _React$PureComponent);
  function AnnotationPositioner() {
    return _React$PureComponent.apply(this, arguments) || this;
  }
  var _proto = AnnotationPositioner.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement("svg", {
      "data-y-offset": this.props.yOffset,
      transform: this.props.transform || null,
      height: Math.max(0, this.props.height) + "px",
      className: (this.props.className || "") + " veRowViewAnnotationPosition",
      width: Math.max(0, this.props.width + 5),
      style: {
        position: "absolute",
        top: this.props.top,
        left: this.props.left
      }
    }, this.props.children);
  };
  return AnnotationPositioner;
}(_react["default"].PureComponent);
var _default = AnnotationPositioner; // key={'feature' + annotation.id + 'start:' + annotationRange.start}
exports["default"] = _default;
module.exports = exports.default;