"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _core = require("@blueprintjs/core");
var _reactDropzone = _interopRequireDefault(require("react-dropzone"));
var _ToolbarItem = _interopRequireDefault(require("./ToolbarItem"));
var _recompose = require("recompose");
var _withEditorProps = require("../withEditorProps");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var _default = (0, _recompose.compose)((0, _withEditorProps.connectToEditor)(), (0, _recompose.withHandlers)({
  importSequenceFromFile: _withEditorProps.importSequenceFromFile
}))(function (_ref) {
  var toolbarItemProps = _ref.toolbarItemProps,
    importSequenceFromFile = _ref.importSequenceFromFile;
  return /*#__PURE__*/_react["default"].createElement(_ToolbarItem["default"], _extends({
    Icon: /*#__PURE__*/_react["default"].createElement(_core.Icon, {
      "data-test": "veImportTool",
      icon: "export"
    }),
    IconWrapper: _reactDropzone["default"],
    IconWrapperProps: {
      multiple: false,
      style: {},
      onDrop: function onDrop(files) {
        return importSequenceFromFile(files[0]);
      }
    },
    tooltip: "Click or drag to import and view files (.fasta .gb .dna)"
  }, toolbarItemProps));
});
exports["default"] = _default;
module.exports = exports.default;