"use strict";

exports.__esModule = true;
exports["default"] = void 0;
exports.getDnaColor = getDnaColor;
var _sequenceUtils = require("@teselagen/sequence-utils");
var dnaToColor = {
  a: "lightgreen",
  c: "#658fff",
  g: "yellow",
  t: "#EE6262"
};
var _default = dnaToColor;
exports["default"] = _default;
function getDnaColor(_char, isReverse) {
  return dnaToColor[isReverse ? _sequenceUtils.DNAComplementMap[_char.toLowerCase()] : _char.toLowerCase()] || "lightgrey";
}