"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _core = require("@blueprintjs/core");
var _react = _interopRequireDefault(require("react"));
var _viewSubmenu = require("../../MenuBar/viewSubmenu");
var _GenericAnnotationProperties = _interopRequireDefault(require("./GenericAnnotationProperties"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = (0, _GenericAnnotationProperties["default"])({
  annotationType: "primer",
  noColor: true,
  visSubmenu: _viewSubmenu.primersSubmenu,
  noType: true,
  withBases: true,
  additionalFooterEls: function additionalFooterEls(props) {
    return /*#__PURE__*/_react["default"].createElement(_core.Button, {
      onClick: props.createNewPCR,
      intent: "success"
    }, "Simulate PCR");
  }
});
exports["default"] = _default;
module.exports = exports.default;