"use strict";

exports.__esModule = true;
exports.typeField = void 0;
var _react = _interopRequireDefault(require("react"));
var _sequenceUtils = require("@teselagen/sequence-utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var typeField = {
  path: "type",
  type: "string",
  render: function render(name, _ref) {
    var color = _ref.color;
    var colorToUse = color || (0, _sequenceUtils.getFeatureToColorMap)({
      includeHidden: true
    })[name];
    return /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        display: "flex",
        alignItems: "center"
      }
    }, /*#__PURE__*/_react["default"].createElement("div", {
      style: {
        height: 20,
        width: 20,
        background: colorToUse,
        marginRight: 3
      }
    }), name);
  }
};
exports.typeField = typeField;