"use strict";

exports.__esModule = true;
exports.updateSelectedFragment = exports.updateComputePartialDigest = exports["default"] = void 0;
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createMergedDefaultStateReducer = _interopRequireDefault(require("./utils/createMergedDefaultStateReducer"));
var _createMergedDefaultS;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
// ------------------------------------
// Actions
// ------------------------------------
var updateSelectedFragment = (0, _createMetaAction["default"])("updateSelectedFragment");
exports.updateSelectedFragment = updateSelectedFragment;
var updateComputePartialDigest = (0, _createMetaAction["default"])("updateComputePartialDigest");

// ------------------------------------
// Reducer
// ------------------------------------
exports.updateComputePartialDigest = updateComputePartialDigest;
var _default = (0, _createMergedDefaultStateReducer["default"])((_createMergedDefaultS = {}, _createMergedDefaultS[updateSelectedFragment] = function (state, payload) {
  return _extends({}, state, {
    selectedFragment: payload
  });
}, _createMergedDefaultS[updateComputePartialDigest] = function (state, payload) {
  return _extends({}, state, {
    computePartialDigest: payload
  });
}, _createMergedDefaultS), {
  selectedFragment: undefined,
  computePartialDigest: false
});
exports["default"] = _default;