"use strict";

exports.__esModule = true;
exports.propertiesViewTabUpdate = exports["default"] = void 0;
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createMergedDefaultStateReducer = _interopRequireDefault(require("./utils/createMergedDefaultStateReducer"));
var _createMergedDefaultS;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
// ------------------------------------
// Actions
// ------------------------------------
// export const propertiesViewToggle = createAction(
//   "TOGGLE_PROPERTIES_VIEW",
//   () => {}
// ); //NOTE!!:: second argument sanitizes actions so no payload is passed
// export const propertiesViewOpen = createAction(
//   "Open_PROPERTIES_VIEW",
//   () => {}
// ); //NOTE!!:: second argument sanitizes actions so no payload is passed
var propertiesViewTabUpdate = (0, _createMetaAction["default"])("propertiesViewTabUpdate"); //NOTE!!:: second argument sanitizes actions so no payload is passed

// ------------------------------------
// Reducer
// ------------------------------------
exports.propertiesViewTabUpdate = propertiesViewTabUpdate;
var _default = (0, _createMergedDefaultStateReducer["default"])((_createMergedDefaultS = {}, _createMergedDefaultS[propertiesViewTabUpdate] = function (state, tabId, selectedAnnotationOrAnnotationId) {
  return _extends({}, state, {
    selectedAnnotationId: selectedAnnotationOrAnnotationId ? selectedAnnotationOrAnnotationId.id || selectedAnnotationOrAnnotationId : undefined,
    tabId: tabId
  });
}, _createMergedDefaultS), {
  tabId: "general"
});
exports["default"] = _default;