"use strict";

exports.__esModule = true;
exports.updateSelectedPartTags = exports["default"] = void 0;
var _reduxAct = require("redux-act");
var _createMetaAction = _interopRequireDefault(require("./utils/createMetaAction"));
var _createReducer;
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
// ------------------------------------
// Actions
// ------------------------------------

var updateSelectedPartTags = (0, _createMetaAction["default"])("UPDATE_SELECTED_PART_TAGS");

// ------------------------------------
// Reducer
// ------------------------------------
exports.updateSelectedPartTags = updateSelectedPartTags;
var _default = (0, _reduxAct.createReducer)((_createReducer = {}, _createReducer[updateSelectedPartTags] = function (state, payload) {
  return _extends({}, state, {
    parts: payload
  });
}, _createReducer), {});
exports["default"] = _default;