"use strict";

exports.__esModule = true;
exports["default"] = addMetaToActionCreators;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function addMetaToActionCreators(actions, meta) {
  var metaActions = {};
  Object.keys(actions).forEach(function (actionName) {
    metaActions[actionName] = function (firstArg, additionalMeta) {
      return actions[actionName](firstArg, _extends({}, meta, additionalMeta || {}));
    };
  });
  return metaActions;
}
module.exports = exports.default;