"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _reselect = require("reselect");
var _lodash = require("lodash");
var _featuresSelector = _interopRequireDefault(require("./featuresSelector"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function cdsFeaturesRawSelector(features) {
  return (0, _lodash.filter)(features, function (_ref) {
    var type = _ref.type;
    return type && type.toUpperCase() === "CDS";
  });
}
var _default = (0, _reselect.createSelector)(_featuresSelector["default"], cdsFeaturesRawSelector);
exports["default"] = _default;
module.exports = exports.default;