"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _reselect = require("reselect");
var _selectedAnnotationsSelector = _interopRequireDefault(require("./selectedAnnotationsSelector"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = (0, _reselect.createSelector)(_selectedAnnotationsSelector["default"], function (selectedAnnotations) {
  var idStack = selectedAnnotations.idStack,
    idMap = selectedAnnotations.idMap;
  var cutsiteIdMap = {};
  var cutsiteIdStack = idStack.filter(function (id) {
    if (idMap[id].annotationType === "cutsite") {
      cutsiteIdMap[id] = idMap[id];
      return true;
    }
    return false;
  });
  return {
    idStack: cutsiteIdStack,
    idMap: cutsiteIdMap
  };
});
exports["default"] = _default;
module.exports = exports.default;