"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _reselect = require("reselect");
var _searchLayersSelector = _interopRequireDefault(require("./searchLayersSelector"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
var _default = (0, _reselect.createSelector)(_searchLayersSelector["default"], function (state) {
  return state.findTool && state.findTool.dnaOrAA;
}, function (state) {
  return state.findTool && state.findTool.highlightAll;
}, function (state) {
  return state.findTool && state.findTool.matchNumber;
}, function (searchLayers, dnaOrAA, highlightAll, matchNumber) {
  if (dnaOrAA === "DNA") return [];
  if (!highlightAll) return [searchLayers[matchNumber]];
  return searchLayers;
});
exports["default"] = _default;
module.exports = exports.default;