"use strict";

exports.__esModule = true;
exports.derivedDataTypesMap = exports.derivedDataTypes = exports.allTypes = void 0;
exports.getSingular = getSingular;
exports.userDefinedTypesMap = exports.userDefinedTypes = void 0;
var userDefinedTypes = ["parts", "features", "translations", "primers"];
exports.userDefinedTypes = userDefinedTypes;
var userDefinedTypesMap = userDefinedTypes.reduce(function (nextVal, key) {
  nextVal[key] = key;
  return nextVal;
  //  looks like this:
  //{
  // 	parts: 'parts',
  // 	features: 'features',
  // 	translations: 'translations',
  // 	primers: 'primers',
  // }
}, {});
exports.userDefinedTypesMap = userDefinedTypesMap;
var derivedDataTypes = ["cutsites", "orfs"];
exports.derivedDataTypes = derivedDataTypes;
var derivedDataTypesMap = derivedDataTypes.reduce(function (nextVal, key) {
  nextVal[key] = key;
  return nextVal;
}, {});
exports.derivedDataTypesMap = derivedDataTypesMap;
function getSingular(type) {
  return type.slice(0, -1);
}
var allTypes = [].concat(userDefinedTypes, derivedDataTypes);
exports.allTypes = allTypes;