"use strict";

exports.__esModule = true;
exports["default"] = combineReducersDontIgnoreKeys;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function combineReducersDontIgnoreKeys(reducers) {
  return function (state, action) {
    if (state === void 0) {
      state = {};
    }
    var newState = Object.keys(reducers).reduce(function (acc, key) {
      acc[key] = reducers[key](state[key], action);
      return acc;
    }, {});
    return _extends({}, state, newState);
  };
}
module.exports = exports.default;